version: '2.1'

services:
    website:
        build: .
        env_file:
            - website.env
        environment:
            - MEMCACHED=memcached
        ports:
            - "127.0.0.1:5000:5000"
        restart: unless-stopped
        healthcheck:
            test: ["CMD", "curl", "-f", "http://localhost:5000/"]
            interval: 5m
    memcached:
        image: memcached
        ports:
            - "127.0.0.1:11211:11211"
        restart: unless-stopped
